# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8
PYTHON_COMPAT=( python3_{8..10} )

MY_PN="pcbnewTransition"
MY_P="${MY_PN}-${PV}"

inherit python-single-r1

DESCRIPTION="Library that allows you to support both, KiCAD 5 and KiCAD 6 in your plugins"
HOMEPAGE="https://github.com/yaqwsx/KiKit"
if [[ ${PV} == "9999" ]] ; then
        EGIT_REPO_URI="https://github.com/yaqwsx/${MY_PN}.git"
        KEYWORDS=""
        inherit git-r3
else
        KEYWORDS="~amd64 ~x86"
	SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/${MY_P}"
fi

LICENSE="MIT"
SLOT="0"
IUSE=""

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND=""

DEPEND="${RDEPEND}
	$(python_gen_cond_dep '
		dev-python/versioneer[${PYTHON_USEDEP}]
	')
"

src_compile() {
	true;
}

src_install() {
        python_domodule ${MY_PN}
        dodoc README.md
}
